org.apache.maven.scm

## Class ScmFileSet

- java.lang.Object
- - org.apache.maven.scm.ScmFileSet

All Implemented Interfaces:
  Serializable

    public class ScmFileSet
    extends Object
    implements Serializable

Set of files used for SCM operations. Consists of the base directory of the files and a list of files relative to that directory.

Version:
  $Id: ScmFileSet.java 779790 2009-05-28 23:02:38Z olamy $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScmFileSet(File basedir)` Create a file set with no files, only the base directory.
`ScmFileSet(File basedir, File file)` Create a file set with only the file provided, relative to basedir.
`ScmFileSet(File basedir, File[] files)` Deprecated. use ScmFileSet( File, List )
`ScmFileSet(File basedir, List files)` Create a file set with the files provided, relative to basedir.
`ScmFileSet(File basedir, String includes)` Create a file set with files from basefile, using includes provided and default excludes.
`ScmFileSet(File basedir, String includes, String excludes)` Create a file set with only files (not directories) from basefile, using includes and excludes provided.

### Method Summary

Methods
`File` `getBasedir()` Get the base directory of the file set.
`String` `getExcludes()`
`List` `getFileList()` Get the list of files in the set, relative to basedir
`File[]` `getFiles()` Deprecated. use getFileList() instead
`String` `getIncludes()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmFileSet

    public ScmFileSet(File basedir)

Create a file set with no files, only the base directory.

Parameters:
  `basedir` - directory files in the set are relative to

#### ScmFileSet

    public ScmFileSet(File basedir,
              File file)

Create a file set with only the file provided, relative to basedir.

Parameters:
  `basedir` - directory file is relative to
  `file` - file that the set will contain, has to be relative to basedir

#### ScmFileSet

    public ScmFileSet(File basedir,
              String includes,
              String excludes)
               throws IOException

Create a file set with only files (not directories) from basefile, using includes and excludes provided.

Parameters:
  `basedir` - directory files are relative to
  `includes` - Ant pattern for files to include
  `excludes` - Ant pattern for files to exclude, if null DEFAULT_EXCLUDES is used, else DEFAULT_EXCLUDES is added.
Throws:
  `IOException` - if any

#### ScmFileSet

    public ScmFileSet(File basedir,
              String includes)
               throws IOException

Create a file set with files from basefile, using includes provided and default excludes.

Parameters:
  `basedir` - directory files are relative to
  `includes` - Ant pattern for files to include
Throws:
  `IOException` - if any
Since:
  1.0

#### ScmFileSet

    public ScmFileSet(File basedir,
              File[] files)

Deprecated. use ScmFileSet( File, List )
Create a file set with the files provided, relative to basedir.

Parameters:
  `basedir` - directory files are relative to
  `files` - files that the set will contain, have to be relative to basedir

#### ScmFileSet

    public ScmFileSet(File basedir,
              List files)

Create a file set with the files provided, relative to basedir.

Parameters:
  `basedir` - directory files are relative to
  `files` - list of File objects, files that the set will contain, have to be relative to basedir

### Method Detail

#### getBasedir

    public File getBasedir()

Get the base directory of the file set. It's the directory files in the set are relative to.

Returns:
  base directory

#### getFiles

    public File[] getFiles()

Deprecated. use getFileList() instead
Get the list of files in the set, relative to basedir

Returns:
  files in this set

#### getFileList

    public List getFileList()

Get the list of files in the set, relative to basedir

Returns:
  List of File objects

#### getIncludes

    public String getIncludes()

Returns:
  the includes files as a comma separated string

#### getExcludes

    public String getExcludes()

Returns:
  the excludes files as a comma separated string

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`